com.mockobjects.servlet

## Class MockServletOutputStream

- java.lang.Object
- - ServletOutputStream
  - - com.mockobjects.servlet.MockServletOutputStream

    public class MockServletOutputStream
    extends ServletOutputStream

### Constructor Summary

Constructors
Constructor and Description
`MockServletOutputStream()`

### Method Summary

Methods
`void` `close()`
`java.lang.String` `getContents()`
`void` `setExpectedCloseCalls(int closeCall)`
`void` `setExpectingWriteCalls(boolean expectingWriteCall)`
`void` `setThrowIOException(boolean throwException)`
`void` `setupClearContents()`
`java.lang.String` `toString()`
`void` `verify()`
`void` `write(int b)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MockServletOutputStream

    public MockServletOutputStream()

### Method Detail

#### setExpectedCloseCalls

    public void setExpectedCloseCalls(int closeCall)

#### setExpectingWriteCalls

    public void setExpectingWriteCalls(boolean expectingWriteCall)

#### setThrowIOException

    public void setThrowIOException(boolean throwException)

#### close

    public void close()
               throws java.io.IOException

Throws:
  `java.io.IOException`

#### toString

    public java.lang.String toString()

#### write

    public void write(int b)
               throws java.io.IOException

Throws:
  `java.io.IOException`

#### setupClearContents

    public void setupClearContents()

#### getContents

    public java.lang.String getContents()

#### verify

    public void verify()